if not srb2p return end

charStats["scarf"] = {
		name = "Scarf The Wolf",
		basehp = 100,
		basesp = 50,
		persona = "ScarfMagic",
		melee_natk = "sickle_slash",

		supercolor_start = SKINCOLOR_SUPERDARK1,

		atk = 45,
		acc = 95,
		crit = 3,

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},
		anim_stand_bored =	{SPR_PLAY, A, B, A, B, A, B, A, B, 10, "SPR2_WAIT"},
		anim_guard = 		{SPR_PLAY, C, 1, "SPR2_TRNS"},
		anim_move =			{SPR_PLAY, A, B, C, G, H, 2, "SPR2_WALK"},
		anim_run =			{SPR_PLAY, A, B, 2, "SPR2_RUN_"},
		anim_atk =			{SPR_PLAY, A, B, C, D, E, F, 1, "SPR2_FIRE"},
		anim_aoa_end =		{SPR_PLAY, C, B, A, 1, "SPR2_ROLL"},
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_PAIN"},
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_PAIN"},
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_PAIN"},
		anim_getup =		{SPR_PLAY, A, B, C, 1, "SPR2_ROLL"},
		anim_death =		{SPR_PLAY, A, 30, "SPR2_DRWN"},
		anim_revive =		{SPR_PLAY, A, B, C, 1, "SPR2_ROLL"},
		anim_evoker = 		{SPR_PLAY, A, 8, "SPR2_FIRE"},

		anim_special1 =		{SPR_PLAY, A, 2, "SPR2_FIRE"},
		anim_special2 =		{SPR_PLAY, A, B, C, D, E, F, G, H, I, 2, "SPR2_FIRE"},
		
		vfx_summon = {"sfx_scrfa1", "sfx_scrfa2"},
        vfx_skill = {"sfx_scrfb1", "sfx_scrfb2"},
        vfx_item = {"sfx_scrfa1", "sfx_scrfa2"},
        vfx_hurt = {"sfx_scrfht"},
        vfx_hurtx = {"sfx_scrfh1", "sfx_scrfh2"},
        vfx_die = {"sfx_scrfls", "sfx_badnk", "sfx_scfdh"},
        vfx_heal = {"sfx_scfv1"},
        vfx_healself = {"sfx_scfv3"},
        vfx_kill = {"sfx_scfdh"},
        vfx_1more = {"sfx_scfv4"},
        vfx_crit = {"sfx_scrfb2"},
        vfx_aoaask = {"sfx_scfv2"},
        vfx_aoado = {"sfx_scrfgl"},
        vfx_aoarelent = {"sfx_scrfa1"},
        vfx_miss = {"sfx_sfdgde"},
        vfx_dodge = {"sfx_sfdgde"},
		vfx_win = {"sfx_scrfwi"},
        vfx_levelup = {"sfx_scrfb2"},

		icon = "ICON_SCRF",
		hudbust = "SCARF_H",
		hudbustlayer = "SCARF_H",
		hudaoa = "SCARF_AOA",
		aoa_quote = "You will die!",
		hudcutin = "SCF_A",
		hudspr = "SCARF_H",

		tip = "3 elements and Slash and Almighty. \nThe wolf decided to explore this world. \nIn the end he met many monsters and he kills them and takes their souls. \nHe also became weaker when he showed up here. And he wants that energy back.",
	}

personaList["ScarfMagic"] = {
		name = "Scarf",
		arcana = ARCANA_JUDGEMENT,

		sprite = SPR_REAP,
		anim_idle = 	{SPR_REAP, A, B, C, D, 8},
		anim_atk = 		{SPR_REAP, E, F, G, H, I, J, J, J, J, K, L, M, M, M, M, M, M, M, M, M, M, M, M, M, M, M, 2},
		startframe = 0,

		strength = 11,
		magic = 8,
		endurance = 5,
		luck = 4,
		agility = 6,
		weak = ATK_BLESS,
		resist = ATK_FIRE,
		repel = ATK_CURSE,
		skills = {
					{"cleave", 1}, {"eiha", 4}, {"agi", 7}, {"rakukaja", 11},
					{"rakunda", 13}, {"toxic slash", 19, "cleave"}, {"dodge bless", 24},
					{"twin slash", 27, "toxic slash"}, {"eiga", 31, "eiha"}, {"agilao", 32, "agi"}, {"gale slash", 35}, 
					{"marakukaja", 38, "rakukaja"},
					{"marakunda", 41, "rakunda"}, {"virus cutter", 43, "twin slash"}, {"blade of fury", 46, "gale slash"},
					{"evade bless", 50, "dodge bless"}, 
					{"eigaon", 53, "eiga"}, {"agidyne", 59, "agilao"}, {"fatal end", 62, "virus cutter"},
					{"deathbound", 68, "blade of fury"},
					{"brave blade", 73, "fatal end"},
					{"tempest slash", 82, "brave blade"},
					{"trisagion", 85, "agidyne"},
					
				},
}

	VFX_freeslotC("scarf")

attackDefs["sickle_slash"] = {
		name = "Sickle Slash",
		type = ATK_STRIKE,
		power = 60,
		accuracy = 95,
		critical = 3,
		target = TGT_ENEMY,
		cost = CST_HP,
		cost = 0,
		desc = "A strong Sickle Slash Hit.",
		anim_norepel = true,	-- do not bounce back our ANIMATION
		physical = true,	-- don't play the summoning anim for phys attacks, duh
		anim = 	function(mo, targets, hittargets, timer)
				local target = targets[1]
				if (leveltime & 1) == 1
					local g = P_SpawnGhostMobj(mo)
					g.colorized = true
					g.color = SKINCOLOR_MAROON
					g.blendmode = AST_ADD
					g.frame = ($ &~ (FF_TRANS60|FF_TRANS90|FF_TRANS30))
					g.scale = $
					g.tics = 40
					local scarfboostflame = P_SpawnMobjFromMobj(mo,
					P_RandomRange(-30, 30)*FRACUNIT,
					P_RandomRange(-30, 30)*FRACUNIT,
					P_RandomRange(0, 50)*FRACUNIT, MT_THOK)
					scarfboostflame.state = S_SCARF_FLAME1
					scarfboostflame.blendmode = AST_ADD
					scarfboostflame.fuse = 8
					scarfboostflame.destscale = 0
					scarfboostflame.momz = 2
				end
				if timer == 1
					ANIM_set(mo, mo.anim_special1, true)
					playSound(mo.battlen, sfx_s220)
					mo.angle = R_PointToAngle2(mo.x, mo.y, target.x, target.y)
					local z = mo.z
					local hit = P_SpawnMobj(target.x & (64*FRACUNIT -1), target.y & (64*FRACUNIT -1), target.subsector.sector.floorheight, MT_NULL)
					hit.tics = TICRATE
					local dist = P_AproxDistance(target.x - mo.x, target.y - mo.y)
					local horizontal = dist / TICRATE
					local vertical = FixedMul((gravity*TICRATE)/2, mo.scale)
					mo.momx = FixedMul(horizontal, cos(mo.angle))
					mo.momy = FixedMul(horizontal, sin(mo.angle))
					mo.momz = vertical
					local an = target.angle + 45*ANG1
					local cx = target.x + 384*cos(an)
					local cy = target.y + 384*sin(an)
					CAM_goto(server.P_BattleStatus[mo.battlen].cam, cx, cy, server.P_BattleStatus[mo.battlen].cam.z, 70*FRACUNIT)
					CAM_angle(server.P_BattleStatus[mo.battlen].cam, R_PointToAngle2(cx, cy, target.x, target.y), ANG1*4)
				elseif timer == TICRATE - 7
					ANIM_set(mo, mo.anim_special2)
				elseif timer == TICRATE
					damageObject(hittargets[1])
					P_InstaThrust(mo, 0, 0)
					for i = 1, 8
						local h = P_SpawnMobj(target.x, target.y, target.z, MT_DUMMY)
						h.state = S_SCARF_FLAME1
						h.blendmode = AST_ADD
						h.fuse = TICRATE
						P_InstaThrust(h, (360/8 *i)*ANG1, FRACUNIT*32)
						if i%2
							createSplat(mo)
						end
					end
					localquake(mo.battlen, FRACUNIT*30, 8)
					localquake(mo.battlen, FRACUNIT*30, 8)
					playSound(mo.battlen, sfx_swordd)
					S_StartSound(mo, sfx_sblck)
					S_StartSound(mo, sfx_swddge)
					P_StartQuake(FRACUNIT, 5)
					for i = 1, 16
						local h = P_SpawnMobj(target.x, target.y, target.z, MT_DUMMY)
						h.state = S_SCARF_FLAME1
						h.blendmode = AST_ADD
						h.fuse = TICRATE
						h.momx = P_RandomRange(-24, 24)*FRACUNIT
						h.momy = P_RandomRange(-24, 24)*FRACUNIT
						h.momz = P_RandomRange(2, 24)*FRACUNIT
					end
					local light = P_SpawnMobj(target.x, target.y, target.z, MT_SCARFTHOK)
					light.state = S_SCARDSHOTEPLODE1
					light.color = SKINCOLOR_SALMON
					light.colorized = true
					light.blendmode = AST_ADD
					light.scale = 1*FRACUNIT/2
					light.target = target
					light.frame = $ & ~FF_TRANSMASK | TR_TRANS50
				elseif timer == TICRATE*2
					return true
				end
			end,
	}